%define         major           2
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} -d
%define         srcname         c-toxcore

Name:           toxcore
Version:        0.2.12
Release:        %mkrel 1
Summary:        A cryptographic network library for instant messaging
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://tox.chat
Source0:        https://github.com/TokTok/c-toxcore/archive/c-%{name}-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(ncurses)


%description
Tox is an experimental peer to peer (serverless) instant messenger
aimed at making security and privacy easy to obtain for regular
users. It uses NaCl (sodium) for its encryption and authentication.



%package -n %{libname}
Summary:        The Toxcore library
Group:          System/Libraries

%description -n %{libname}
%{summary}.


%package -n %{develname}
Summary:        Development files for the Toxcore libraries
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       toxcore-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep

%setup -q -n %{srcname}-%{version}


%build
autoreconf -fi
%configure
%make_build




%install
%make_install


#remove la and static files
find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete



%files -n %{libname}
%doc README.md
%{_libdir}/libtox*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/*/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libtox*.so




%changelog
* Sat Jul 11 2020 eatdirt <eatdirt> 0.2.12-1.mga8
+ Revision: 1604744
- Upgrade to version 0.2.12

* Sun Feb 16 2020 umeabot <umeabot> 0.2.10-2.mga8
+ Revision: 1533724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 24 2019 eatdirt <eatdirt> 0.2.10-1.mga8
+ Revision: 1445405
- Update to version 0.2.10

* Sun Feb 10 2019 zezinho <zezinho> 0.2.9-1.mga7
+ Revision: 1365096
- new version 0.2.9

* Wed Dec 19 2018 eatdirt <eatdirt> 0.2.8-1.mga7
+ Revision: 1342944
- Upgrade to version 0.2.8

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-2.mga7
+ Revision: 1301446
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 eatdirt <eatdirt> 0.2.4-1.mga7
+ Revision: 1245984
- Upgrade to version 0.2.4

* Mon May 21 2018 daviddavid <daviddavid> 0.2.2-2.mga7
+ Revision: 1230930
- rebuild against latest libvpx (mga#23059)

* Sun May 13 2018 eatdirt <eatdirt> 0.2.2-1.mga7
+ Revision: 1229032
- Upgrade to version 0.2.2

* Wed Mar 14 2018 eatdirt <eatdirt> 0.2.0-1.mga7
+ Revision: 1209352
- Upgrade to version 0.2.0

* Fri Feb 02 2018 daviddavid <daviddavid> 0.1.10-3.mga7
+ Revision: 1198546
- rebuild for new libvpx 1.7.0

* Thu Nov 16 2017 eatdirt <eatdirt> 0.1.10-2.mga7
+ Revision: 1177519
- Rebuild for new sodium

* Tue Nov 14 2017 eatdirt <eatdirt> 0.1.10-1.mga7
+ Revision: 1177315
- imported package toxcore

